#ifndef GBM_EDIT_H
#define GBM_EDIT_H

void link_cells(cell* parent, cell* child);

void unlink_cells(cell* parent, cell* child);

cell* redirect_cell(cell* cl);

void append_cell(int cell_type, int X, int Y, cell* parent);

void destroy_cell();

void playerEditActions(bool* finished);

void draw_types(SDL_Renderer* renderer);

void draw_directions(SDL_Renderer* renderer);

void edit_main(SDL_Renderer* renderer);

void reassign_id_cell(cell* cl, int* current, int common);

void reassign_ids();

void write_cell(FILE* ptr, cell* cl, int global_id);

void save(char* filename);

void load(char* filename);

#endif
