#ifndef GBM_BASE_H
#define GBM_BASE_H

int ln_baseN(int n, int b);

int pw(int x, int n);

int abs(int n);

double absf(double n);

int convex_seg(int x1, int x2, double theta);

bool is_an_integer(char c);

double to_double(int n);

int to_int(double n);

double distance_pt(int x1, int x2, int y1, int y2);

bool is_star_allowed(int ctype);

bool is_hidden_block_allowed(int ctype);

int line_count(char* filename);

int get_integer(FILE* ptr);

void terminate_line(FILE* ptr);

#endif